<?php
class Module extends ModuleCore
{
    public function display($file, $template, $cache_id = null, $compile_id = null)
    {
        $result = parent::display($file, $template, $cache_id, $compile_id);
		$ip = Configuration::get('witm_config');
		$ip_array = explode(',', $ip);
		if (!in_array(Tools::getRemoteAddr(), $ip_array) && !in_array('*', $ip_array) || !Module::isEnabled('whatisthismodule')
			|| (defined('_PS_ADMIN_DIR_') && (int)Configuration::get('witm_fo') == 1))
			return $result;
		if (Configuration::get('witm_h_m') == 1)
			return '
			<div class="div_infos_tpl tpls">
				<span class="tpl" onclick="display_file_template_tpl(\''.md5($file.$template).'\')">TPL</span>
				<div id="'.md5($file.$template).'" class="file_template">
					<span class="file">FILE : </span><span class="filename">'.$file.'</span><br/>
					<span class="template">TEMPLATE : </span>
					<span class="template_file">'.parent::getTemplatePath($template).'</span>
				</div>
				'.$result.'
			</div>';
		if (Configuration::get('witm_h_m') == 2)
			return '
			<div class="div_infos_tpl tpls">
				<span class="tpl"><i class="icon-expand-alt icon-large"></i> TPL</span><br/>
				<div id="'.md5($file.$template).'" class="file_template">
					<span class="file">FILE : </span><span class="filename">'.$file.'</span><br/>
					<span class="template">TEMPLATE : </span>
					<span class="template_file">'.parent::getTemplatePath($template).'</span>
				</div>
				'.$result.'
			</div>';
		if (Configuration::get('witm_h_m') == 3)
			return '<div class="tpls">
			<span class="tpl">TPL :</span><br/>
			<span class="file">FILE : </span><span class="tpl_file">'.$file.'</span><br/>
			<span class="template">TEMPLATE : </span><span class="template_file">'.parent::getTemplatePath($template).'</span>'.$result.'</div>';
		
		if (Configuration::get('witm_h_m') == 4)
			return '<div class="tpls">
			<span class="tpl witm">TPL :<br/></span>
			<span class="file witm">FILE : </span><span class="tpl_file witm">'.$file.'<br/></span>
			<span class="template witm">TEMPLATE : </span><span class="template_file witm">'.parent::getTemplatePath($template).'</span>'.$result.'</div>';
		
		return '<div class="div_infos_tpl"><span class="infos_tpl"><strong>TPL</strong><span class="file_template"><strong>FILE :</strong>
		'.$file.'<br/><strong>TEMPLATE : </strong>'.parent::getTemplatePath($template).'</span></span>'.$result.'</div>';
    }
}